package com.platform.controller;

import java.util.List;
import java.util.Map;

import com.platform.annotation.CanUserUpdateRecord;
import com.platform.entity.Result;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.platform.entity.KeywordsEntity;
import com.platform.service.KeywordsService;
import com.platform.utils.PageUtils;
import com.platform.utils.Query;


/**
 * 热闹关键词表Controller
 *
 * @author lipengjun
 * @email 939961241@qq.com
 * @date 2017-08-25 21:23:41
 */
@RestController
@RequestMapping("keywords")
public class KeywordsController {
    @Autowired
    private KeywordsService keywordsService;

    /**
     * 查看列表
     */
    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, Object> params) {
        //查询列表数据
        Query query = new Query(params);

        List<KeywordsEntity> keywordsList = keywordsService.queryList(query);
        int total = keywordsService.queryTotal(query);

        PageUtils pageUtil = new PageUtils(keywordsList, total, query.getLimit(), query.getPage());

        return Result.success(pageUtil);
    }

    /**
     * 查看信息
     */
    @RequestMapping("/info")
    public Result info(@RequestParam("id") Integer id) {
        KeywordsEntity keywords = keywordsService.queryObject(id);

        return Result.success(keywords);
    }

    /**
     * 保存
     */
    @CanUserUpdateRecord
    @RequestMapping("/save")

    public Result save(@RequestBody KeywordsEntity keywords) {
        keywordsService.save(keywords);

        return Result.success();
    }

    /**
     * 修改
     */
    @CanUserUpdateRecord
    @RequestMapping("/update")

    public Result update(@RequestBody KeywordsEntity keywords) {
        keywordsService.update(keywords);

        return Result.success();
    }

    /**
     * 删除
     */
    @CanUserUpdateRecord
    @RequestMapping("/delete")

    public Result delete(@RequestBody Integer[]ids) {
        keywordsService.deleteBatch(ids);

        return Result.success();
    }

    /**
     * 查看所有列表
     */
    @RequestMapping("/queryAll")
    public Result queryAll(@RequestBody Map<String, Object> params) {

        List<KeywordsEntity> list = keywordsService.queryList(params);

        return Result.success( list);
    }
}
